Preview Launch Solution
GET
/v1/portal/launches/{solution_id}/preview
const url = 'https://example.com/v1/portal/launches/example/preview?repo_slug=&branch=&workspace_name=&resource_ref=&project_slug=&repository_key=&ide=&ttl_seconds=0';const options = {method: 'GET'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url 'https://example.com/v1/portal/launches/example/preview?repo_slug=&branch=&workspace_name=&resource_ref=&project_slug=&repository_key=&ide=&ttl_seconds=0'Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”solution_id
required
Solution Id
string
Query Parameters
Section titled “Query Parameters”repo_slug
Repo Slug
string
branch
Branch
string
workspace_name
Workspace Name
string
resource_ref
Resource Ref
string
project_slug
Project Slug
string
repository_key
Repository Key
string
ide
Ide
string
ttl_seconds
Ttl Seconds
integer
Responses
Section titled “Responses”Successful Response
Media typeapplication/json
PortalLaunchPreviewOut
object
solution_id
required
Solution Id
string
solution_title
Solution Title
string
resource_ref
Resource Ref
string
repo_slug
Repo Slug
string
branch
Branch
string
workspace_name
Workspace Name
string
launch_url
Launch Url
string
login_url
Login Url
string
ready_to_launch
Ready To Launch
boolean
workspace_hydration_state
Workspace Hydration State
string
workspace_lease_ttl_seconds
Workspace Lease Ttl Seconds
integer
workspace_lease_extend_url
Workspace Lease Extend Url
string
workspace_hydration_url
Workspace Hydration Url
string
project
Any of:
PortalLaunchProjectSpineOut
object
project_slug
Project Slug
string
display_name
Display Name
string
description
Description
string
github_repo_slug
Github Repo Slug
string
enabled_stack_ids
Enabled Stack Ids
Array<string>
template_name
Template Name
string
registry_profile
Registry Profile
string
execution_profile
Execution Profile
string
package_name
Package Name
string
package_scope
Package Scope
string
registry_url
Registry Url
string
penpot_team_ref
Penpot Team Ref
string
penpot_target_url
Penpot Target Url
string
penpot_launch_url
Penpot Launch Url
string
daytona_organization_id
Daytona Organization Id
string
daytona_organization_name
Daytona Organization Name
string
daytona_organization_slug
Daytona Organization Slug
string
daytona_organization_status
Daytona Organization Status
string
summary
Summary
string
null
session_template
Any of:
PortalLaunchSessionTemplateOut
object
template_name
Template Name
string
browser_template_name
Browser Template Name
string
registry_profile
Registry Profile
string
execution_profile
Execution Profile
string
status
Status
string
detail
Detail
string
null
validations
Validations
Array<object>
PortalLaunchValidationOutobject
validation_key
required
Validation Key
string
label
required
Label
string
status
Status
string
detail
Detail
string
next_actions
Next Actions
Array<string>
Example
{ "solution_title": "", "resource_ref": "", "repo_slug": "", "branch": "", "workspace_name": "", "launch_url": "", "login_url": "", "ready_to_launch": false, "workspace_hydration_state": "", "workspace_lease_ttl_seconds": 0, "workspace_lease_extend_url": "", "workspace_hydration_url": "", "project": { "project_slug": "", "display_name": "", "description": "", "github_repo_slug": "", "template_name": "", "registry_profile": "", "execution_profile": "", "package_name": "", "package_scope": "", "registry_url": "", "penpot_team_ref": "", "penpot_target_url": "", "penpot_launch_url": "", "daytona_organization_id": "", "daytona_organization_name": "", "daytona_organization_slug": "", "daytona_organization_status": "", "summary": "" }, "session_template": { "template_name": "", "browser_template_name": "", "registry_profile": "", "execution_profile": "", "status": "unknown", "detail": "" }, "validations": [ { "status": "unknown", "detail": "" } ]}Validation Error
Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationErrorobject
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
input
Input
ctx
Context
object
Examplegenerated
{ "detail": [ { "loc": [ "example" ], "msg": "example", "type": "example", "input": "example", "ctx": {} } ]}